## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.16.0.post0
%bcond check 1

# https://git.sr.ht/~xenrox/hut
%global goipath         git.sr.ht/~xenrox/hut
%global forgeurl        https://git.sr.ht/~xenrox/hut
%global version0        0.6.0
%global commit          44071643e23a543c5318fca2156b0d5271b91937

%gometa -L -f

Name:           hut
Version:        %{forgeversion}
Release:        %autorelease
Summary:        A CLI tool for Sourcehut

# Generated by go-vendor-tools
License:        AGPL-3.0-only AND Apache-2.0 AND BSD-3-Clause AND LGPL-3.0-or-later WITH LGPL-3.0-linking-exception AND MIT
URL:            %{gourl}
Source0:        %{gosource}
# Generated by go-vendor-tools
Source1:        %{archivename}-vendor.tar.bz2
Source2:        go-vendor-tools.toml

BuildRequires:  go-vendor-tools
BuildRequires:  make
BuildRequires:  scdoc

%description
hut is a CLI tool for interacting with Sourcehut instances. It supports
git.sr.ht as well as self-hosted Sourcehut instances.

%prep
%goprep -A
%setup -q -T -D -a1 %{forgesetupargs}
%autopatch -p1

%generate_buildrequires
%go_vendor_license_buildrequires -c %{S:2}

%build
%global gomodulesmode GO111MODULE=on
# The Makefile expects hut to be in the current directory
%gobuild -o hut %{goipath}
%make_build doc/hut.1 completions

%install
%go_vendor_license_install -c %{S:2}
%make_install PREFIX=%{_prefix}

%check
%go_vendor_license_check -c %{S:2}
%if %{with check}
%gotest ./...
%endif

%files -f %{go_vendor_license_filelist}
%license vendor/modules.txt
%doc README.md
%{_bindir}/hut
%{_mandir}/man1/hut.1*
%{bash_completions_dir}/hut
%{zsh_completions_dir}/_hut
%{fish_completions_dir}/hut.fish

%changelog
## START: Generated by rpmautospec
* Sun Jun 01 2025 Maxwell G <maxwell@gtmx.me> - 0.6.0^git4407164-1
- Update to new upstream https://git.sr.ht/~xenrox/hut
- Use 0.6.0 post-release snapshot commit 4407164
- Use vendored dependencies
- Fixes: rhbz#2368037

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 24 2024 Maxwell G <maxwell@gtmx.me> - 0.5.0-1
- Update to 0.5.0. Fixes rhbz#2251206.

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 0.3.0-5
- Rebuild for golang 1.22.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Apr 14 2023 Maxwell G <maxwell@gtmx.me> - 0.3.0-1
- Update to 0.3.0. Fixes rhbz#2186192.

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Sep 28 2022 Maxwell G <gotmax@e.email> - 0.2.0-3
- Define %%_topdir to fix %%goprep on older Fedoras

* Wed Sep 28 2022 Maxwell G <gotmax@e.email> - 0.2.0-1
- Initial import (rhbz#2124025).
## END: Generated by rpmautospec
